# This spec is in the SVN
# $Id: perl-RPM4.spec 141783 2007-03-12 14:05:45Z nanardon $

%define upstream_name	 RPM4
%define upstream_version 0.46

%define rpm_version %(rpm -q --queryformat '%|EPOCH?{[%{EPOCH}:%{VERSION}]}:{%{VERSION}}|' rpm)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %upstream_version
Release:    %mkrel 2
Summary:    Perl bindings to use rpmlib and manage hdlist files
License:    GPL
Group:      Development/Perl
Source0:    https://cpan.metacpan.org/modules/by-authors/id/T/TV/TVIGNAUD/%{upstream_name}-%{upstream_version}.tgz
Url:        https://metacpan.org/release/RPM4

BuildRequires: perl(Carp)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(MDV::Packdrakeng)
BuildRequires: perl-devel >= 5.8.0
BuildRequires: pkgconfig(rpm) >= 4.12.0
BuildRequires: perl-Digest-SHA1
BuildRequires: librpmconstant-devel
BuildRequires: gnupg
# we can now expect librpm API to be at least backward compatible
Requires:   rpm >= %{rpm_version}
%description
This module provides a perl interface to the rpmlib.

It allows to write scripts to:
  - query rpm headers,
  - query rpm database,
  - build rpm specs,
  - install/uninstall specfiles,
  - check dependencies.

It includes:
- rpm_produced, give what rpm will be produced by a src.rpm or a specfile.

%prep
%setup -q -n %{upstream_name}-%{version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%ifarch x86_64
make test TEST_VERBOSE=1
%endif

%install
%make_install

%files
%doc META.json META.yml MYMETA.yml README examples
%doc examples
%_bindir/*
%{perl_vendorarch}/*
%{_mandir}/*/*


%changelog
* Tue Jun 07 2022 pterjan <pterjan> 0.46-2.mga9
+ Revision: 1863430
- Rebuild for Perl 5.36

* Fri Apr 29 2022 tv <tv> 0.46-1.mga9
+ Revision: 1855117
- Adapt for rpm-4.19
- Fix Te->file segfaulting (at least with rpm-4.18+)

* Wed Apr 27 2022 tv <tv> 0.45-1.mga9
+ Revision: 1854526
- Fix detecting 4.18-alpha1
- Testsuite:
  o Fix failure with rpm-4.17.0+
  o Increase testsuite coverage
  o Re-enable some tests disabled long ago

* Mon May 24 2021 tmb <tmb> 0.44-3.mga9
+ Revision: 1726427
- disable tests failing because of rpm 4.16.1.3 regression
- rebuild for rebuild for perl-5.34.0

* Mon Dec 14 2020 tv <tv> 0.44-1.mga8
+ Revision: 1657482
- Fix RPM4.xs/libperl.so mismatch on i586 by building with the flags used to
  build perl itself

* Sun Dec 13 2020 pterjan <pterjan> 0.43-3.mga8
+ Revision: 1656564
- Rebuild to hopefully fix "RPM4.c: loadable library and perl binaries are mismatched (got handshake key 0x9100080, needed 0x9180080)"

* Thu Jun 18 2020 pterjan <pterjan> 0.43-2.mga8
+ Revision: 1596170
- Rebuild for perl 5.32

* Wed Jun 03 2020 tv <tv> 0.43-1.mga8
+ Revision: 1590046
- handle RPM version with "beta" or "rc" in it

* Sat Apr 25 2020 tv <tv> 0.42-1.mga8
+ Revision: 1571914
- update to 0.42:
- fix comparing version when using a fixup rpm release such as 4.12.0.2
- fix detecting unlisted rpm versions
- skip installsrpm tests on FreeBSD < 10

* Fri Feb 14 2020 tv <tv> 0.41-1.mga8
+ Revision: 1518589
- fix detecting rpm-4.15.x final

* Mon Sep 09 2019 tv <tv> 0.40-1.mga8
+ Revision: 1438881
- fix building with rpm-4.15

* Mon Aug 26 2019 tv <tv> 0.39-2.mga8
+ Revision: 1432695
- rebuild with perl-5.30

* Thu Oct 04 2018 tv <tv> 0.39-1.mga7
+ Revision: 1317320
- update to 0.39

* Fri Sep 21 2018 umeabot <umeabot> 0.38-3.mga7
+ Revision: 1293722
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 pterjan <pterjan> 0.38-2.mga7
+ Revision: 1247477
- Rebuild for perl 5.28

* Mon Nov 06 2017 tv <tv> 0.38-1.mga7
+ Revision: 1176163
- BR perl(ExtUtils::PkgConfig)
- cpan testers:
  o detect rpm-4.1[0-2] which had another rpmPkgSign API
  o detect patched rpm-4.12 in Mageia 5, various Debian & FC
  o list dependancies
  o skip a test with rpm-4.1[12] due to a segfault
  o use PkgConfig in order to find rpm
- improve CPAN metadata

* Sat Oct 28 2017 tv <tv> 0.37-1.mga7
+ Revision: 1174304
- new release

* Tue Oct 17 2017 tv <tv> 0.36-6.mga7
+ Revision: 1172319
- drop useless BRs

* Thu Oct 05 2017 tv <tv> 0.36-5.mga7
+ Revision: 1169125
- do not ignore testsuite faillures anymore now that all rpm-4.14 regressions
  were fixed

* Thu Oct 05 2017 tv <tv> 0.36-4.mga7
+ Revision: 1169093
- fix segfault in perl-RPM4's testsuite when installing pkgs (thx panu)
- use std macros

* Tue Oct 03 2017 tv <tv> 0.36-3.2.mga7
+ Revision: 1166407
- rebuild with fixed rpm for missing autodeps
- remove workaround-perl-5.26-vs-librpm-bug patch (no more needed)

* Wed Aug 23 2017 tv <tv> 0.36-3.1.mga7
+ Revision: 1143572
- workaround a testsuite regression with rpm-4.14 by reloading spec file between two builds
- "workaround" a perl-5.26 vs librpm "panic: free from wrong pool" issue in testsuite

* Fri Jul 21 2017 tv <tv> 0.36-3.mga7
+ Revision: 1126260
- rebuild for perl 5.26

* Fri Jul 21 2017 tv <tv> 0.36-2.mga7
+ Revision: 1126199
- ignore perl-5.26 failure on exit for now
- make tests verbose
- simplify running testsuite
- fix segfault in testsuite
- reenable some tests
- fix running testsuite with older perl
- only testsuite on x86_64 for now (breakage on i586)
- fix running testsuite using just build RPM4.so instead of system one
- patch 1: disable tests that involve a pasphrase
  (rpm-4.13 left gpg to asks for a passphrase)

* Wed May 11 2016 tv <tv> 0.35-8.mga6
+ Revision: 1013654
- patch 0: fix a segfault in testsuite
- use std build macros
- fix single %% in comment which break build when people alter macros

* Fri Feb 12 2016 umeabot <umeabot> 0.35-7.mga6
+ Revision: 957946
- Mageia 6 Mass Rebuild

* Sat Sep 05 2015 tv <tv> 0.35-6.mga6
+ Revision: 873131
- submit to core/release

* Sun Aug 23 2015 tv <tv> 0.35-5.mga6
+ Revision: 868445
- versionate rpm BR

* Sun Aug 23 2015 tv <tv> 0.35-4.mga6
+ Revision: 868196
- rebuild for rpm-4.13

* Sun Aug 16 2015 tv <tv> 0.35-3.mga6
+ Revision: 865095
- submit to core/release

* Sat Aug 01 2015 tv <tv> 0.35-2.mga6
+ Revision: 860401
- rebuild for rpm-4.13

* Sat Aug 01 2015 tv <tv> 0.35-1.mga6
+ Revision: 860392
- drop methods only supported in rpm < 4.9
- drop support for rpm > 4.9.0
- fix compiling with rpm-4.13
- rebuild for rpm-4.13

* Thu Jun 25 2015 tv <tv> 0.34-5.mga6
+ Revision: 843524
- rebuild for new libinput

* Tue Jun 23 2015 sander85 <sander85> 0.34-4.mga6
+ Revision: 840886
- Rebuild for perl 5.22
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- new version (support RCs of rpm)

* Sun Sep 14 2014 tmb <tmb> 0.33-6.mga5
+ Revision: 675505
- handle -rc versioned rpm
- rebuild for new rpm

* Tue Jun 03 2014 tv <tv> 0.33-4.mga5
+ Revision: 632073
- rebuild for new perl
- rebuild for new perl

* Sat Oct 19 2013 umeabot <umeabot> 0.33-2.mga4
+ Revision: 525088
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.33-1.mga4
+ Revision: 431972
- new release

* Wed May 29 2013 tv <tv> 0.32-8.mga4
+ Revision: 431942
- patch 0: fix build
- rebuild for new perl
+ jquelin <jquelin>
- perl 5.18.0 rebuild
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 tv <tv> 0.32-5.mga3
+ Revision: 332384
- rebuild for new rpm

* Tue Dec 18 2012 tv <tv> 0.32-4.mga3
+ Revision: 332361
- build with stable rpm

* Tue Dec 18 2012 tv <tv> 0.32-3.mga3
+ Revision: 332355
- rebuild for new rpm
- fix build with stable rpm

* Tue Dec 18 2012 tv <tv> 0.32-1.mga3
+ Revision: 332336
- drop support for repackage (not working anymore since rpm-4.6)
- fix parsing new rpm headers
- fix retrieving rpm version with beta versions
- fix segfaulting with rpm-4.11 retrieving RPMLOG_*
- fix srcrpm()
- fix --rpmversion (broken for 6+ years...)

* Mon Jun 25 2012 tv <tv> 0.31-1.mga3
+ Revision: 263639
- drop rpm5 functions: rpmsysinfodep, rpmgetconfdep, rpmcpuinfodep, rpmpipedep
  & rpmunamedep (unimplemented for 4 years...)
- new spec:
  o fix forcing 'noarch_check' & 'force' parameters
  o drop unused 'cookie', 'passphrase', 'rootdir' & 'verify' parameters (useless with rpm-4.9.x anyway)

* Fri Jun 15 2012 tv <tv> 0.30-1.mga3
+ Revision: 260896
- disable testsuite (works OK locally with iurt but not in BS
- functions that not are implemented since switching to rpm-4.6 now die
- internal cleanups
- srcrpm(): fix returning "...nosrc.rpm" instead of "...src.rpm" when needed
  (it always returned "...src.rpm" since rpm-4.9+)
- use rpm-4.6+ API, not rpm-4.4 compatibility one
  (fix some memleaks btw)
- functions that not are implemented since switching to rpm-4.6 now die
- use rpm-4.6+ API, not rpm-4.4 compatibility one
  (should fix some memleaks btw)
- reenable testsuite

* Sat Jun 09 2012 tv <tv> 0.28-1.mga3
+ Revision: 259020
- temporary disable testsuite (works OK locally)
- new version: fix build with new rpm-4.10.0
- new version: fix build with new rpm-4.10.0

* Wed May 30 2012 jquelin <jquelin> 0.27-3.mga3
+ Revision: 251091
- rebuild for perl 5.16

* Sat Apr 21 2012 tv <tv> 0.27-2.mga2
+ Revision: 232221
- no need to require perl

* Wed Dec 21 2011 tv <tv> 0.27-1.mga2
+ Revision: 185256
- make Spec->build works with rpm-4.9
- make initdb do all the needed work
- make traverse usefull again with rpm-4.9

* Wed Dec 21 2011 tv <tv> 0.26-1.mga2
+ Revision: 185219
- fix for a random segfault
- report script errors
- rebuild for new rpm

* Sun Dec 18 2011 tv <tv> 0.25-8.mga2
+ Revision: 183472
- higher release for rpm-4.9.x

* Thu Dec 15 2011 tv <tv> 0.25-6.mga2
+ Revision: 182296
+ rebuild (emptylog)

* Thu Dec 15 2011 tv <tv> 0.25-5.mga2
+ Revision: 182205
- patch 0: disable 3 tests with rpm-4.8
- disable tests segfaulting in rpmSpecBuild()
- disable tests using unimplemented functions regarding rpm-4.9
- disable 2 tests that fails with rpm-4.9
  (all functions needed by iurt & youri* pass the testsuite)
- implement more functions with rpm-4.9
- bump release

* Wed Nov 09 2011 tv <tv> 0.24-0.1.mga2
+ Revision: 165905
- no ChangeLog
- new release (merging patches)

* Tue Oct 18 2011 tv <tv> 0.23-15.mga2
+ Revision: 156425
- patch 2: drop support for rpm-4.4.x (too much ifdef/else/endif spaghetti
  and already broken since rpm-4.6 & rpm-4.8 support patches)
- Patch 3: declare 4.8.0 & 4.8.1 in order to make 4.9.x checks work
- Patch 4: initial rpm-4.9.x support

* Sun Jun 12 2011 sander85 <sander85> 0.23-14.mga2
+ Revision: 104940
- Rebuild for perl 5.14

* Sun Feb 27 2011 dmorgan <dmorgan> 0.23-13.mga1
+ Revision: 61301
- Add patch to build against new rpm 4.8
- Use pre-RPM5 spec file
+ nanardon <nanardon>
- disable some test, it seems internal of rpm has changed and Spec struct is not clean anymore between two build() call

* Wed Jan 19 2011 jquelin <jquelin> 0.23-12.mga1
+ Revision: 23779
- rebuild

* Mon Jan 17 2011 nanardon <nanardon> 0.23-11.mga1
+ Revision: 20800
- kill useless dependency to packdrake (then kill a loop)
+ jquelin <jquelin>
- imported package perl-RPM4

